org.gradle.caching

## Interface BuildCacheEntryWriter

-     @Incubating
      public interface BuildCacheEntryWriter

  Writer to serialize a build cache entry.
  Since:
    3.3

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `writeTo(OutputStream output)` Writes a build cache entry to the given stream.

- - ### Method Detail

    - #### writeTo

          void writeTo(OutputStream output)
                       throws IOException

      Writes a build cache entry to the given stream.
      Parameters:
        `output` - output stream to write build cache entry to
      Throws:
        `IOException` - when an I/O error occurs when writing the cache entry to the given output stream